Bug 478770 - Review Request: springlobby - A lobby client for the spring RTS game engine
Review Request: springlobby - A lobby client for the spring RTS game engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 478767
  Show dependency treegraph
 
Reported: 2009-01-04 16:26 EST by Aurelien Bompard
Modified: 2009-03-27 10:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.78.2.1-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atorkhov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2009-01-04 16:26:13 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10372-1.fc10.src.rpm
Description: 
SpringLobby is a free cross-platform lobby client for the Spring RTS project.

Please see Spring's main review bug for details : bug 478767.
Comment 1 Aurelien Bompard 2009-01-17 10:22:34 EST
* Sat Jan 17 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10387-1
- version 10387
- remove vendor from the desktop file

New SRPM: http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10387-1.fc10.src.rpm
Comment 2 Aurelien Bompard 2009-02-03 18:02:30 EST
* Tue Feb 03 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10393-1
- version 10393
- add patch to detect libunitsync.so properly
- drop workaround for bug 478589

http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10393-1.fc10.src.rpm
Comment 3 Alexey Torkhov 2009-03-14 13:40:42 EDT
Old version of source is deleted. Could you update the package?
Comment 4 Alexey Torkhov 2009-03-14 13:47:22 EDT
Also, versioned BuildRequires seem to be excessive.
Comment 5 Aurelien Bompard 2009-03-15 14:10:51 EDT
* Sun Mar 15 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-1
- version 10429

http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10429-1.fc10.src.rpm  

About the BuildRequires, they are just taken verbatim from the source install page: http://springlobby.info/wiki/springlobby/InstallFromSource
I guessed if upstream mentioned them, I should add them too. Do you think I should remove them ?
Comment 6 Ian Weller 2009-03-15 14:13:45 EDT
(In reply to comment #5)
> I guessed if upstream mentioned them, I should add them too. Do you think I
> should remove them ?  

yes :)

if things don't work, testing can make that more obvious.
Comment 7 Alexey Torkhov 2009-03-15 15:36:53 EDT
The sources contain some files that are GPLv3+ in settings++ and base64.cpp that is LGPLv3. But your License tag is GPLv2 (without plus). If upstream really wants to distribute it under second version of GPL there is license incompatibility. But perhaps, there is simple error. If so, change License tag to GPLv3.

Remove ChangeLog from %doc too. It doesn't have any relation to this application.
Comment 8 Aurelien Bompard 2009-03-15 17:47:13 EDT
* Sun Mar 15 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-2
- drop the version in the buildrequires
- don't package ChangeLog as %%doc

About the licensing, it's probably an error. The website says « License is GPL 2 (free as in freedom) » (http://springlobby.info/wiki/springlobby/FeaturesGoals)

http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10429-2.fc10.src.rpm
Comment 9 Alexey Torkhov 2009-03-16 06:05:45 EDT
- Their source docs tell that it is licensed under GPL without any version:
http://springlobby.info/repositories/entry/springlobby/doc/mainpage.dox
http://docs.springlobby.info/main.html
This makes actual license "GPLv3" (as combination of GPL+, GPLv3+ and LGPLv3). I think, we can do that change and proceed.

Upstream should be notified, and change texts to match actual license or
whatever they like in many places:
http://springlobby.info/wiki/springlobby/FeaturesGoals
https://launchpad.net/springlobby
http://en.opensuse.org/SpringLobby

As with spring-installer, best if they will have license info in README and standard header in every file.


- Add hicolor-icon-theme to requires to have proper icon directories ownership.
Comment 10 Alexey Torkhov 2009-03-16 06:42:15 EDT
- Package snippets changed in new guidelines:
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
Comment 11 Aurelien Bompard 2009-03-16 07:16:32 EDT
I've asked upstream to clarify their license version:
http://springlobby.info/issues/show/810
In the meantime, I've set the license tag to GPLv2 and GPLv3, because settings++ is actually a separate application (spring engine configurator), that is launched from the springlobby menu.

* Mon Mar 16 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-3
- new scriptlets for the icon cache
- require hicolor-icon-theme

http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10429-3.fc10.src.rpm
Comment 12 Alexey Torkhov 2009-03-16 07:47:06 EDT
(In reply to comment #11)
> In the meantime, I've set the license tag to GPLv2 and GPLv3, because
> settings++ is actually a separate application (spring engine configurator),
> that is launched from the springlobby menu.

No, it should be GPLv3 as they are linking sources from springlobby and settings together.
Comment 13 Aurelien Bompard 2009-03-16 09:21:21 EDT
Okay

* Mon Mar 16 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.0.1.10429-4
- fix license tag

http://gauret.free.fr/fichiers/rpms/fedora/spring/springlobby-0.0.1.10429-4.fc10.src.rpm
Comment 14 Alexey Torkhov 2009-03-16 10:36:39 EDT
Here goes full review:

+ rpmlint output clean.
+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ Source package does not includes the text of the license(s) in its own file.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as
  provided in the spec URL.
+ The package successfully compiles and builds into binary rpms on at least
  one primary architecture.
+ Architectures where package does not successfully compile, build or work are
  listed in ExcludeArch.

Bugs should be filled against all 4 spring packages after their acceptance and
added to FE-ExcludeArch-ppc{,64} tracker:
https://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Build_Failures

+ All build dependencies are listed in BuildRequires.
+ The spec file handles locales properly.
+ Package does not store shared libraries.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not list a file more than once in the spec %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Does not contain large documentation files.
+ Includes only doc files in %doc.
+ No headers.
+ No static libraries.
+ The package does not contain pkgconfig(.pc) files.
+ The package does not contain library files with a suffix (e.g.
  libfoo.so.1.1).
+ No devel packages.
+ The package does not contain any .la libtool archives.
+ Package includes %{name}.desktop file. Properly installed with desktop-file-install.
+ The package does not own files or directories already owned by other
  packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in the package are valid UTF-8.
+ The package builds in mock.
+ A package does not segfault instead of running.


This package is APPROVED, cvs creation should delayed until all four spring
packages are accepted.
Comment 15 Aurelien Bompard 2009-03-17 17:12:41 EDT
New Package CVS Request
=======================
Package Name: springlobby
Short Description: Lobby client for the spring RTS game engine
Owners: abompard
Branches: F-10
InitialCC:
Comment 16 Kevin Fenzi 2009-03-17 23:21:36 EDT
cvs done.
Comment 17 Fedora Update System 2009-03-18 06:37:13 EDT
spring-maps-default-0.1-4.fc10,spring-installer-20090316-3.fc10,springlobby-0.0.1.10429-4.fc10,spring-0.78.2.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-maps-default-0.1-4.fc10,spring-installer-20090316-3.fc10,springlobby-0.0.1.10429-4.fc10,spring-0.78.2.1-8.fc10
Comment 18 Fedora Update System 2009-03-18 15:09:00 EDT
spring-maps-default-0.1-4.fc10, spring-installer-20090316-3.fc10, springlobby-0.0.1.10429-4.fc10, spring-0.78.2.1-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spring-maps-default spring-installer springlobby spring'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2819
Comment 19 Fedora Update System 2009-03-22 09:00:03 EDT
spring-0.78.2.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-0.78.2.1-9.fc10
Comment 20 Fedora Update System 2009-03-22 10:49:08 EDT
spring-0.78.2.1-9.fc10,springlobby-0.0.1.10425-1.fc10,spring-installer-20090316-4.fc10,spring-maps-default-0.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/spring-0.78.2.1-9.fc10,springlobby-0.0.1.10425-1.fc10,spring-installer-20090316-4.fc10,spring-maps-default-0.1-5.fc10
Comment 21 Fedora Update System 2009-03-23 11:55:27 EDT
spring-0.78.2.1-9.fc10, springlobby-0.0.1.10425-1.fc10, spring-installer-20090316-4.fc10, spring-maps-default-0.1-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spring springlobby spring-installer spring-maps-default'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2941
Comment 22 Fedora Update System 2009-03-27 10:54:11 EDT
spring-0.78.2.1-9.fc10, springlobby-0.0.1.10425-1.fc10, spring-installer-20090316-4.fc10, spring-maps-default-0.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.